summaryrefslogtreecommitdiffstats
path: root/scripts/hooks/commit-msg.signoffby-missing-warn.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/hooks/commit-msg.signoffby-missing-warn.sh')
-rw-r--r--scripts/hooks/commit-msg.signoffby-missing-warn.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/scripts/hooks/commit-msg.signoffby-missing-warn.sh b/scripts/hooks/commit-msg.signoffby-missing-warn.sh
new file mode 100644
index 00000000..470e6575
--- /dev/null
+++ b/scripts/hooks/commit-msg.signoffby-missing-warn.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+#
+# The following snippet can be used to _WARN_ if a Signed-off-by line is missing
+# in the commit message
+#
+
+RED='\e[0;31m' # Red
+NORMAL='\e[0m' # Text Reset
+
+if [ "1" != "$(grep -c '^Signed-off-by: ' "$1")" ]; then
+ printf >&2 "%sMissing Signed-off-by line.%s\n" "$RED" "$NORMAL"
+
+ # To not only warn, but abort the commit, uncomment the next line
+ # exit 1
+fi
+